Skip to main content
GET
/
user
/
knowledgebases
/
{knowledgebaseId}
/
documents
Get documents
curl --request GET \
  --url https://app.autocalls.ai/api/user/knowledgebases/{knowledgebaseId}/documents \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.autocalls.ai/api/user/knowledgebases/{knowledgebaseId}/documents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.autocalls.ai/api/user/knowledgebases/{knowledgebaseId}/documents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": 1,
      "name": "Product Manual",
      "description": "Complete product user manual",
      "type": "pdf",
      "type_label": "PDF",
      "status": "active",
      "status_label": "Active",
      "created_at": "2025-01-05T10:30:00.000000Z",
      "updated_at": "2025-01-05T10:35:00.000000Z"
    },
    {
      "id": 2,
      "name": "Company Website",
      "description": "Main website content",
      "type": "website",
      "type_label": "Website",
      "status": "processing",
      "status_label": "Processing",
      "created_at": "2025-01-08T09:00:00.000000Z",
      "updated_at": "2025-01-08T09:00:00.000000Z"
    }
  ]
}
{
  "error": "Knowledgebase not found."
}
This endpoint returns a list of all documents in a specific knowledgebase.

Path Parameters

knowledgebaseId
integer
required
The unique identifier of the knowledgebase

Response

data
array
Array of document objects
{
  "data": [
    {
      "id": 1,
      "name": "Product Manual",
      "description": "Complete product user manual",
      "type": "pdf",
      "type_label": "PDF",
      "status": "active",
      "status_label": "Active",
      "created_at": "2025-01-05T10:30:00.000000Z",
      "updated_at": "2025-01-05T10:35:00.000000Z"
    },
    {
      "id": 2,
      "name": "Company Website",
      "description": "Main website content",
      "type": "website",
      "type_label": "Website",
      "status": "processing",
      "status_label": "Processing",
      "created_at": "2025-01-08T09:00:00.000000Z",
      "updated_at": "2025-01-08T09:00:00.000000Z"
    }
  ]
}
{
  "error": "Knowledgebase not found."
}

Document Statuses

StatusDescription
processingDocument is being parsed and embedded into the vector database
activeDocument has been processed and is ready for use
failedDocument processing failed